{function name=categoriesprint  categories=null}

{if is_array($categories) && !empty($categories)}
    {foreach $categories as $k => $v}
    <li {if $v['parent_id']==0 && $wa->user()->getRights('manufactory',"product_category.`$v['id']`")>1}class="rights-editable"{/if}>
        <a href="?module=products&category={$v['id']}" data-id="{$v['id']}">
            <i class="icon16 folder"></i>{$v['name']}
            <span class="add-category right-link"><i class="icon10 add"></i></span>
        </a>

        {if array_key_exists('childrens',$v) && !empty($v['childrens'])}
        <ul>{categoriesprint categories=$v['childrens']}</ul>

        {/if}
    </li>
    {/foreach}

{else}

{/if}

{/function}



<script src="{$wa_app_static_url}js/products.js?v={$wa->version()}" type="text/javascript"></script>
<link rel="stylesheet" href="{$wa_app_static_url}css/products.css?v={$wa->version()}">




<div class="block block-categories">
    <h4 class="heading"> <a href="#" class="hide-categories">
        <i class="icon16 expander overhanging larr"></i> Категории </a>
        <a href="?module=products&action=categoryEdit" target="_blank">
            <span class="right-link"><i class="icon16 add"></i></span>
        </a>
    </h4>
    <ul id="sidebar-categories-menu" class="menu-v collapsible with-icons">
        {if !isset($categories)}
        {$categories = $wa->manufactory->categoriesThree()}
        {/if}
        {categoriesprint categories=$categories}
    </ul>
</div>

